use `qc`;

ALTER TABLE `med_behospital_info` MODIFY COLUMN `doctor_id` varchar(16) DEFAULT NULL COMMENT '医生ID' AFTER `diagnose`;

ALTER TABLE `sys_menu` ADD  COLUMN `show_status` int(11) NOT NULL DEFAULT '0' COMMENT '是否在右侧菜单显示(0:不显示，1：显示)' AFTER `code`;
ALTER TABLE `sys_menu` ADD  COLUMN `maintain_status` int(11) NOT NULL DEFAULT '0' COMMENT '是否可以维护(0:不可维护，1：可以维护)' AFTER `show_status`;

ALTER TABLE `sys_permission` ADD  COLUMN `code` varchar(10) NOT NULL DEFAULT '' COMMENT '资源编码' AFTER `name`;

ALTER TABLE `sys_user` ADD  COLUMN `status` int(11) NOT NULL DEFAULT '1' COMMENT '是否启用(0:停用，1：启用)' AFTER `linkman`;

DROP TABLE IF EXISTS `sys_user_dept`;
CREATE TABLE `sys_user_dept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `user_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户主键',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `dept_id` varchar(20) NOT NULL DEFAULT '' COMMENT '科室编码（HIS导入）',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户-医院科室映射表';

