package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.BasDeptInfoDTO;
import com.diagbot.entity.BasDeptInfo;
import com.diagbot.service.impl.BasDeptInfoServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.util.SysUserUtils;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/27 18:58
 */
@Component
public class BasDeptInfoFacade extends BasDeptInfoServiceImpl {

    public List<BasDeptInfoDTO> listForUser() {
        List<BasDeptInfoDTO> basDeptInfoDTOList = new ArrayList<>();
        List<BasDeptInfo> basDeptInfoList = this.list(new QueryWrapper<BasDeptInfo>()
                .eq("hospital_id", SysUserUtils.getCurrentHospitalID())
                .eq("station", "住院")
        );
        if (ListUtil.isNotEmpty(basDeptInfoList)) {
            basDeptInfoDTOList = BeanUtil.listCopyTo(basDeptInfoList, BasDeptInfoDTO.class);
        }
        return basDeptInfoDTOList;
    }
}
