package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.BasDeptInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SysRoleDTO;
import com.diagbot.facade.BasDeptInfoFacade;
import com.diagbot.vo.SysRoleQueryVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 医院科室信息 前端控制器
 * </p>
 *
 * @author gaodm
 * @since 2020-04-27
 */
@RestController
@RequestMapping("/bas/dept")
@Api(value = "医院科室API", tags = { "医院科室API" })
@SuppressWarnings("unchecked")
public class BasDeptInfoController {
    @Autowired
    private BasDeptInfoFacade basDeptInfoFacade;

    @ApiOperation(value = "获取医院科室下拉列表信息[by:gaodm]",
            notes = "")
    @PostMapping("/listForUser")
    @SysLogger("listForUser")
    public RespDTO<List<BasDeptInfoDTO>> listForUser() {
        return RespDTO.onSuc(basDeptInfoFacade.listForUser());
    }
}
